# Uses of Class
org.apache.lucene.analysis.Analyzer.TokenStreamComponents

Packages that use Analyzer.TokenStreamComponents
Package
Description
org.apache.lucene.analysis
Text analysis.
org.apache.lucene.analysis.standard
Fast, general-purpose grammar-based tokenizer `StandardTokenizer` implements the Word Break rules from the Unicode Text Segmentation algorithm, as specified in Unicode Standard Annex #29.

- ## Uses of Analyzer.TokenStreamComponents in org.apache.lucene.analysis

  Methods in org.apache.lucene.analysis that return Analyzer.TokenStreamComponents
  Modifier and Type
  Method
  Description
  `protected abstract Analyzer.TokenStreamComponents`
  Analyzer.`createComponents(String fieldName)`
  Creates a new `Analyzer.TokenStreamComponents` instance for this analyzer.
  `protected final Analyzer.TokenStreamComponents`
  AnalyzerWrapper.`createComponents(String fieldName)`
  `abstract Analyzer.TokenStreamComponents`
  Analyzer.ReuseStrategy.`getReusableComponents(Analyzer analyzer, String fieldName)`
  Gets the reusable TokenStreamComponents for the field with the given name.
  `protected Analyzer.TokenStreamComponents`
  AnalyzerWrapper.`wrapComponents(String fieldName, Analyzer.TokenStreamComponents components)`
  Wraps / alters the given TokenStreamComponents, taken from the wrapped Analyzer, to form new components.
  `protected final Analyzer.TokenStreamComponents`
  DelegatingAnalyzerWrapper.`wrapComponents(String fieldName, Analyzer.TokenStreamComponents components)`
  Methods in org.apache.lucene.analysis with parameters of type Analyzer.TokenStreamComponents
  Modifier and Type
  Method
  Description
  `abstract void`
  Analyzer.ReuseStrategy.`setReusableComponents(Analyzer analyzer, String fieldName, Analyzer.TokenStreamComponents components)`
  Stores the given TokenStreamComponents as the reusable components for the field with the give name.
  `protected Analyzer.TokenStreamComponents`
  AnalyzerWrapper.`wrapComponents(String fieldName, Analyzer.TokenStreamComponents components)`
  Wraps / alters the given TokenStreamComponents, taken from the wrapped Analyzer, to form new components.
  `protected final Analyzer.TokenStreamComponents`
  DelegatingAnalyzerWrapper.`wrapComponents(String fieldName, Analyzer.TokenStreamComponents components)`

- ## Uses of Analyzer.TokenStreamComponents in org.apache.lucene.analysis.standard

  Methods in org.apache.lucene.analysis.standard that return Analyzer.TokenStreamComponents
  Modifier and Type
  Method
  Description
  `protected Analyzer.TokenStreamComponents`
  StandardAnalyzer.`createComponents(String fieldName)`